#ifndef __SETTINGSMENU_H__
#define __SETTINGSMENU_H__

#include <gui/menu.h>
#include <gui/checkmenu.h>
#include "settings.h"

using namespace os;

/** \brief Class for storing the current menu options.
 * This class is used to keep track of menu items that can change when settings
 * are changed.
 *
 * \todo Currently some of the information in the menu is specific
 * to FTPServer objects.
 */
class SettingsMenu : public Menu
{
public:
	SettingsMenu( const String& zName, FTPSettings* pcSettings );
	~SettingsMenu();
	
	void SetSettings( FTPSettings* pcSettings );

private:
	CheckMenu* m_pcPassive; /**< Pointer to menu item for whether the connection is passive or not. */
	CheckMenu* m_pcSaveHistory; /**< Pointer to menu item used to save server address history. */
	MenuItem* m_pcMaxConnections; /**< Pointer to menu item listing the number of allowable simultaneous connections. */
};


#endif	/* __SETTINGSMENU_H__ */

